<< spencer | FOSSEE_Signal_Processing_Toolbox | stft >>

FOSSEE_Signal_Processing_Toolbox >> FOSSEE_Signal_Processing_Toolbox > statelevels

# statelevels

This function estimate statelevels of real vector X via histogram.

### Syntax

    levels=statelevels(x, nbins, method, bounds)
    [levels histogram]=statelevels(x, nbins, method, bounds)
    [levels histogram bins]=statelevels(x, nbins, method, bounds)
    [levels histogram bins]=statelevels(x, nbins, method, bounds, 'fig', On or Off)

### Parameters

x:

  real vector

nbins:

  number of histogram bins to use in the histogram as a positive scalar, where the default value is 100

method:

  method to estimate the statelevels using specified METHOD as one of 'mean' or 'mode', where the default value is 'mode'

bounds:

  specify the lower and upper bound for the histogram as a two-element row vector

fig:

  specify the logical input value to display figure as one of 'on' or 'off', where the default input in 'off'.

levels:

  return lower and upper level values

histogram:

  return histogram values

bins:

  return binlevels values

### Examples

    x=[1.2, 5, 10, -20, 12]
    nbins=10
    method='mode'
    bounds=[1 10]
    levels=statelevels(x, nbins, method, bounds)

### See also

### Authors

- Jitendra Singh

Report an issue
<< spencer | FOSSEE_Signal_Processing_Toolbox | stft >>